#!/bin/bash

#rpmbuildDir="/run/media/jpc/SanDisk_JPC/distributions/soc/9/rpmbuild"
 rpmbuildDir="/dsk/l2/distributions/soc/9-alma/rpmbuild"
    #githash="bc99d46"
     githash="7e0d168"

 if [ ! -d ${rpmbuildDir} ]; then
   echo "[ERROR] \"${rpmbuildDir}\" doesn\'t exists."
   exit 1
 fi
 cd ${rpmbuildDir}

 pushd ./SOURCES/synlig
 git checkout ${githash}
#git submodule update --init
 git archive --format tar.gz -o ../synlig-0.1.git${githash}.tar.gz --prefix=synlig-0.1/ ${githash}
 popd

#rpmbuild -bp \
#         --define "githash ${githash}" SPECS.SoC/synlig.spec

 rpmbuild -ba \
          --define "githash ${githash}" \
          --define 'debug_package %{nil}' SPECS.SoC/synlig.spec
